net.corda.core.crypto

## Class PartialMerkleTree.Companion

- net.corda.core.crypto.PartialMerkleTree.Companion

- Enclosing class:
    PartialMerkleTree

      public static class PartialMerkleTree.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PartialMerkleTree` | `build(MerkleTree merkleRoot, java.util.List<? extends net.corda.core.crypto.SecureHash> includeHashes)`

- - ### Method Detail

    - #### build

          public PartialMerkleTree build(MerkleTree merkleRoot,
                                         java.util.List<? extends net.corda.core.crypto.SecureHash> includeHashes)

      Parameters:
        `merkleRoot` - Root of full Merkle tree.
        `includeHashes` - Hashes that should be included in a partial tree.
      Returns:
        Partial Merkle tree root.